package com.danitheskunk.skunkstuff;

import com.danitheskunk.skunkstuff.Blocks.BlockGoban;
import com.danitheskunk.skunkstuff.Blocks.Blocks;
import net.minecraft.world.level.block.Block;
import org.quiltmc.loader.api.ModContainer;
import org.quiltmc.qsl.base.api.entrypoint.ModInitializer;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class SkunkStuff implements ModInitializer {
	public static final Logger LOGGER = LoggerFactory.getLogger("SkunkStuff");

	public static final Block OAK_GOBAN_BLOCK = Blocks.register().name(
		"oak_goban").type(BlockGoban.class).build();
	public static final Block SPRUCE_GOBAN_BLOCK = Blocks.register().name(
		"spruce_goban").type(BlockGoban.class).build();
	public static final Block BIRCH_GOBAN_BLOCK = Blocks.register().name(
		"birch_goban").type(BlockGoban.class).build();
	public static final Block JUNGLE_GOBAN_BLOCK = Blocks.register().name(
		"jungle_goban").type(BlockGoban.class).build();
	public static final Block ACACIA_GOBAN_BLOCK = Blocks.register().name(
		"acacia_goban").type(BlockGoban.class).build();
	public static final Block DARK_OAK_GOBAN_BLOCK = Blocks.register().name(
		"dark_oak_goban").type(BlockGoban.class).build();
	public static final Block WARPED_GOBAN_BLOCK = Blocks.register().name(
		"warped_goban").type(BlockGoban.class).build();
	public static final Block CRIMSON_GOBAN_BLOCK = Blocks.register().name(
		"crimson_goban").type(BlockGoban.class).build();
	public static final Block MANGROVE_GOBAN_BLOCK = Blocks.register().name(
		"mangrove_goban").type(BlockGoban.class).build();

	@Override
	public void onInitialize(ModContainer mod) {
		Blocks.registerAll();
	}
}
